Bug 520898 - setroubleshoot: SELinux is preventing NetworkManager "read" access on /var/lib/misc/PolicyKit.reload.
Summary: setroubleshoot: SELinux is preventing NetworkManager "read" access on /v...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:243cf7aaaf8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 19:30 UTC by Matěj Cepl
Modified: 2018-04-11 13:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 10:16:13 UTC
Type: ---


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-02 19:30:34 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing NetworkManager "read" access on
/var/lib/misc/PolicyKit.reload.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by NetworkManager. It is not expected that this
access is required by NetworkManager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Další informace:

Kontext zdroje                unconfined_u:system_r:NetworkManager_t:s0
Kontext cíle                 system_u:object_r:var_lib_t:s0
Objekty cíle                 /var/lib/misc/PolicyKit.reload [ file ]
Zdroj                         NetworkManager
Cesta zdroje                  /usr/sbin/NetworkManager
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          NetworkManager-0.7.995-3.git20090813.fc12
RPM balíčky cíle           PolicyKit-0.9-6.fc11
RPM politiky                  selinux-policy-3.6.28-9.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-0.190.rc8.fc12.x86_64 #1 SMP
                              Fri Aug 28 18:51:58 EDT 2009 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               Po 31. srpen 2009, 18:41:26 CEST
Naposledy viděno             Po 31. srpen 2009, 18:41:26 CEST
Místní ID                   85f775f6-ca3e-4bbf-a4a2-9b0d7ddb26c8
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1251736886.14:221): avc:  denied  { read } for  pid=11702 comm="NetworkManager" name="PolicyKit.reload" dev=dm-1 ino=18986 scontext=unconfined_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1251736886.14:221): arch=c000003e syscall=254 success=yes exit=3 a0=8 a1=3109a12110 a2=106 a3=1c items=0 ppid=1 pid=11702 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=unconfined_u:system_r:NetworkManager_t:s0 key=(null)


audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t var_lib_t:file read;

Comment 1 Daniel Walsh 2009-09-08 10:16:13 UTC
You have a labeling problem

restorecon -R -v /var/lib/misc/PolicyKit.reload


Note You need to log in before you can comment on or make changes to this bug.